curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-X DELETE \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
await method.reportSchedules.delete('rpt_sch_Gqjh8pzeUfzH6');
method.report_schedules.delete('rpt_sch_Gqjh8pzeUfzH6')
Report Schedules
Delete a Report Schedule
DELETE
/
report_schedules
/
{schedule_id}
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-X DELETE \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
await method.reportSchedules.delete('rpt_sch_Gqjh8pzeUfzH6');
method.report_schedules.delete('rpt_sch_Gqjh8pzeUfzH6')
Deletes a Report Schedule. The schedule’s
status is set to inactive
and no further reports will be generated or delivered. This route is
idempotent — deleting a schedule that doesn’t exist still returns a
successful, empty response.
Path Parameters
Returns
Returns an empty response.curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-X DELETE \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
await method.reportSchedules.delete('rpt_sch_Gqjh8pzeUfzH6');
method.report_schedules.delete('rpt_sch_Gqjh8pzeUfzH6')